%define name libmaitretarot
%define version 0.1.98
%define release 1mdk
%define major 0

Summary: The Maitretarot library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Cards
Source: http://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.nongnu.org/maitretarot/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: glib2
BuildRequires: glib2-devel

%description
Maitretarot is a tarot server game. Libmaitretarot is a library for
both the server and any client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot 
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %name%major
Summary: The Maitretarot library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %name%major
Maitretarot is a tarot server game. Libmaitretarot is a library
for both the server and any client.

%description -n %name%major -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmaitretarot
est une biblothque pour  la fois le serveur et n'importe quel client.

%package -n %name%major-devel
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %name%major = %version-%release
Provides: %name-devel = %version-%release

%description -n %name%major-devel
This package is need to build application wich use Libmaitretarot.

%description -n %name%major-devel -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmaitretarot.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %name%major -p /sbin/ldconfig

%postun -n %name%major -p /sbin/ldconfig

%files -n %name%major
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files -n %name%major-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/maitretarot.h

%changelog
* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.98-1mdk
- 0.1.98
- arizona_junior, yes this version is out yesterday !

* Sat Dec 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-2mdk
- rebuild for rpm and glibc

* Thu Dec 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.1-1mdk
- 0.1.1

* Thu Dec 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1-1mdk
- First mdk package

* Mon May 20 2002 Yves Mettier <ymettier@libertysurf.fr>
- First spec file

